View Issue Details

IDProjectCategoryView StatusLast Update
0002142AssemblyFeaturepublic2017-06-19 15:23
ReporterickbyAssigned Toickby 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0002142: make dependency graph show groups
Descriptionthe dependency graph should indicate bodys and parts (and in general all groups). For this clusters can be used: http://www.graphviz.org/Gallery/directed/cluster.html
TagsNo tags attached.

Activities

eivindkvedalen

2015-06-28 08:10

developer   ~0006235

Please wait for the Expressions branch to get merged before starting on this. Code for clusters have been added there, to group properties for a document object. I think that will simplify your code significantly.

wmayer

2017-06-19 15:23

administrator   ~0009458

https://github.com/FreeCAD/FreeCAD/commit/f08ab52724a88130597ec8348b05aa4a710e0f33

Issue History

Date Modified Username Field Change
2015-06-02 12:20 ickby New Issue
2015-06-02 13:53 ickby Assigned To => ickby
2015-06-02 13:53 ickby Status new => assigned
2015-06-28 08:10 eivindkvedalen Note Added: 0006235
2017-06-19 15:23 wmayer Status assigned => closed
2017-06-19 15:23 wmayer Resolution open => fixed
2017-06-19 15:23 wmayer Fixed in Version => 0.17
2017-06-19 15:23 wmayer Note Added: 0009458